Author: Bastian Waidelich Category:
Has patch:
Subject: AbstractFormViewHelper must be adjusted to be able to namespace arguments
Description

see http://forge.typo3.org/issues/show/3316

Related issues:
related to TYPO3.Fluid - Bug # 3651: Call to a member function getBackend() o... Resolved 2009-06-12

History
#1 - 2009-05-27 12:40 - Jochen Rau
- Status changed from New to Accepted
- Assigned To set to Sebastian Kurfuerst
- Priority changed from Should have to Must have

#2 - 2009-08-06 17:25 - Bastian Waidelich
- Assigned To changed from Sebastian Kurfuerst to Bastian Waidelich

#3 - 2009-08-09 20:24 - Bastian Waidelich
- File 3317_AbstractFormViewHelper_must_be_adjusted_to_be_able_to_namespace_arguments.patch added
- Assigned To changed from Bastian Waidelich to Sebastian Kurfuerst

Attached patch implements the namespacing of field names in forms and contains some refactorings and enhancements.
@Sebastian: Please check it and commit if you have no objections.

#4 - 2009-08-09 22:54 - Jochen Rau

Thanks a lot for the very large patch.

I tested the patch and had to change line 61 in Tx_Fluid_ViewHelpers_Form_AbstractFormViewHelper from
$fieldNamePrefix = (string)$this->viewHelperVariableContainer->get('Tx_Fluid_ViewHelpers_FormViewHelper', 'fieldNamePrefix');

to
$fieldNamePrefix = (string)$this->viewHelperVariableContainer->get('Tx_Fluid_ViewHelpers_FormViewHelper', 'prefix');

Is this a bug or did I miss something.

#5 - 2009-08-10 10:02 - Bastian Waidelich
- File 3317_AbstractFormViewHelper_must_be_adjusted_to_be_able_to_namespace_arguments_v2.patch added

Jochen Rau wrote:
http://forge.typo3.org/issues/show/3316


Hi Jochen,

Is this a bug or did I miss something.

This was a mistake. I've renamed "prefix" to "fieldNamePrefix" recently and apparently forgot to adjust the backported code respectively..
Attached is v2 of the patch that should fix that issue.

#6 - 2009-08-11 02:01 - Jochen Rau
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r1096.

#7 - 2009-10-21 17:54 - Bastian Waidelich
- Project changed from Extbase MVC Framework to TYPO3.Fluid
- Category deleted (432)
